Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Creative Live! Cam Vista IM
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 11:32 am    Post subject: [SOLVED]Creative Live! Cam Vista IM Reply with quote

Ragazzi come posso far funziare questa cam su gentoo? il diver spca5xx non va da il seguente problema:

evilzpc ~ # emerge spca5xx
Calculating dependencies... done!

>>> Emerging (1 of 1) media-video/spca5xx-20060501-r2 to /
* spca5xx-20060501.tar.gz RMD160 ;-) ... [ ok ]
* spca5xx-20060501.tar.gz SHA1 ;-) ... [ ok ]
* spca5xx-20060501.tar.gz SHA256 ;-) ... [ ok ]
* spca5xx-20060501.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking spca5xx-20060501.tar.gz ;-) ... [ ok ]
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found kernel object directory:
* /lib/modules/2.6.15-gentoo-r8/build
/usr/src/linux/scripts/setlocalversion: line 4: use: command not found
/usr/src/linux/scripts/setlocalversion: line 5: use: command not found
/usr/src/linux/scripts/setlocalversion: line 6: use: command not found
/usr/src/linux/scripts/setlocalversion: line 7: require: command not found
/usr/src/linux/scripts/setlocalversion: line 9: syntax error near unexpected token `{'
/usr/src/linux/scripts/setlocalversion: line 9: `if (@ARGV != 1) {'
* Found sources for kernel version:
* 2.6.15-gentoo-r8
* Checking for suitable kernel configuration options...
* CONFIG_VIDEO_V4L1_COMPAT: is not set when it should be.
* Please check to make sure these options are set correctly.
* Failure to do so may cause unexpected problems.
* Once you have satisfied these options, please try merging
* this package again.

!!! ERROR: media-video/spca5xx-20060501-r2 failed.
Call stack:
ebuild.sh, line 1630: Called dyn_setup
ebuild.sh, line 702: Called qa_call 'pkg_setup'
ebuild.sh, line 38: Called pkg_setup
spca5xx-20060501-r2.ebuild, line 23: Called linux-mod_pkg_setup
linux-mod.eclass, line 459: Called linux-info_pkg_setup
linux-info.eclass, line 572: Called check_extra_config
linux-info.eclass, line 471: Called die

!!! Incorrect kernel configuration options
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/media-video/spca5xx-20060501-r2/temp/build.log'.

come posso fare?


Last edited by doctor_evilz on Tue Apr 03, 2007 1:17 pm; edited 1 time in total
Back to top
View user's profile Send private message
lavish
Bodhisattva
Bodhisattva


Joined: 13 Sep 2004
Posts: 4296

PostPosted: Thu Mar 29, 2007 11:36 am    Post subject: Reply with quote

Code:
 * Checking for suitable kernel configuration options...

!!! Incorrect kernel configuration options

* CONFIG_VIDEO_V4L1_COMPAT: is not set when it should be.
* Please check to make sure these options are set correctly.


Secondo te che significa? :roll:
_________________
minimalblue.com | secgroup.github.io/
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 11:58 am    Post subject: Reply with quote

manca qualcosa da compilare nel kernel? ma cosa?
Back to top
View user's profile Send private message
lavish
Bodhisattva
Bodhisattva


Joined: 13 Sep 2004
Posts: 4296

PostPosted: Thu Mar 29, 2007 12:09 pm    Post subject: Reply with quote

doctor_evilz wrote:
manca qualcosa da compilare nel kernel? ma cosa?

devi abilitare CONFIG_VIDEO_V4L1_COMPAT nel config del kernel.
Ad ogni modo, il 2.6.15 e' *molto* vecchio, ti consiglio di aggiornare
_________________
minimalblue.com | secgroup.github.io/
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Mar 29, 2007 12:19 pm    Post subject: Reply with quote

con i kernel recenti anche il modulo spca5xx è diventato obsoleto. bisogna utilizzare gspca o gspcav1. spca5xx non compila.
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 12:47 pm    Post subject: Reply with quote

evilzpc ~ # emerge gspca
Calculating dependencies... done!

>>> Emerging (1 of 1) media-video/gspca-01.00.10 to /
* gspcav1-01.00.10.tar.gz RMD160 ;-) ... [ ok ]
* gspcav1-01.00.10.tar.gz SHA1 ;-) ... [ ok ]
* gspcav1-01.00.10.tar.gz SHA256 ;-) ... [ ok ]
* gspcav1-01.00.10.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking gspcav1-01.00.10.tar.gz ;-) ... [ ok ]
/usr/portage/media-video/gspca/gspca-01.00.10.ebuild: line 26: eeinfo: command not found
/usr/portage/media-video/gspca/gspca-01.00.10.ebuild: line 27: eeinfo: command not found
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found kernel object directory:
* /lib/modules/2.6.15-gentoo-r8/build
/usr/src/linux/scripts/setlocalversion: line 4: use: command not found
/usr/src/linux/scripts/setlocalversion: line 5: use: command not found
/usr/src/linux/scripts/setlocalversion: line 6: use: command not found
/usr/src/linux/scripts/setlocalversion: line 7: require: command not found
/usr/src/linux/scripts/setlocalversion: line 9: syntax error near unexpected token `{'
/usr/src/linux/scripts/setlocalversion: line 9: `if (@ARGV != 1) {'
* Found sources for kernel version:
* 2.6.15-gentoo-r8
* Checking for suitable kernel configuration options... [ ok ]
>>> Unpacking source...
>>> Unpacking gspcav1-01.00.10.tar.gz to /var/tmp/portage/media-video/gspca-01.00.10/work

!!! ERROR: media-video/gspca-01.00.10 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_unpack
ebuild.sh, line 751: Called qa_call 'src_unpack'
environment, line 4078: Called src_unpack
gspca-01.00.10.ebuild, line 34: Called convert_to_m '/var/tmp/portage/media-video/gspca-01.00.10/work/gspca-01.00.10/gspcav2/Makefile'
linux-mod.eclass, line 156: Called die

!!! convert_to_m() requires a filename as an argument
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/media-video/gspca-01.00.10/temp/build.log'.



GSPCAV1 invece viene compilato perfettamente. Che mi resta da fare?
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Mar 29, 2007 1:02 pm    Post subject: Reply with quote

ehm a dir la verità avevo scritto con un kernel recente :wink:

per utilizzare quel pacchetto credo tu debba avere almeno il 2.6.18
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 1:15 pm    Post subject: Reply with quote

da http://mxhaard.free.fr/download.html

gspcav1 "Generic Softwares Package for Camera Adapters" version 1.00.12 date: 10/01/2007
for kernel up from 2.6.11 : gspcav1-20070110.tar.gz
for kernel below 2.6.11: spca5xx version 0.60.00:
spca5xx-20060501.tar.gz

:D

camorama dice che nn c'è /dev/video0
Back to top
View user's profile Send private message
drizztbsd
Retired Dev
Retired Dev


Joined: 21 Nov 2004
Posts: 278
Location: Cesano Maderno

PostPosted: Thu Mar 29, 2007 1:20 pm    Post subject: Reply with quote

Aggiorna il kernel, quelli sotto la 2.6.17 non sono supportati/non funzionano con i nuovi ebuild/eclass
_________________
Gentoo/Alt lead
Gentoo/*BSD and Gentoo/FreeBSD deputy lead
Paludis contributor
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 1:51 pm    Post subject: Reply with quote

ragazzi sto diventando pazzo, allora, ho aggiornato il kernel alla 2.6.20-r4 ma quando vado a far partire il sistema mi dice che c'è un errore nel montaggio del floppy e non riesce a montare la partizione root :(

ecco il mio fstab se può essere utile a trovare una soluzione

/dev/sda1 /boot ext2 defaults,noatime 1 2
/dev/sda3 / ext3 noatime 0 1
/dev/hdb1 /hd2 ext3 noatime 0 1
/dev/sda2 none swap sw 0 0
/dev/hdc /mnt/cdrom iso9660 noauto,ro 0 0
/dev/hda1 /windows auto defaults,noatime 1 2
#/dev/fd0 /mnt/floppy auto noauto 0 0


ed ecco grub.conf


default=0
timeout=30
splashimage=(hd0,0)/boot/grub/splash.xpm.gz

title Gentoo
root (hd0,0)
kernel /boot/2.6.20-r4 root=/dev/sda3
Back to top
View user's profile Send private message
made
l33t
l33t


Joined: 19 Mar 2005
Posts: 608
Location: veneto

PostPosted: Thu Mar 29, 2007 9:04 pm    Post subject: Reply with quote

qualcuno è riuscito a far funzionare questa webcam:

creative webcam live!
Bus 001 Device 003: ID 041e:4052 Creative Technology, Ltd
_________________
My system: cpu AMD Athlon(tm) 64 Processor 3800+,kernel 2.6.25-r1-gentoo
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Thu Mar 29, 2007 9:52 pm    Post subject: Reply with quote

chi? eheh
comunque sia ho aggiornato il kernel alla 2.6.20-r4 e messo gli gspcav1 ma quando vado a far partire gqcam mi dice /dev/video no such file or directory uff
Back to top
View user's profile Send private message
Deus Ex
Guru
Guru


Joined: 16 Nov 2005
Posts: 489
Location: Patavium

PostPosted: Sat Mar 31, 2007 5:24 pm    Post subject: Reply with quote

Mi sembra che quelle cams non siano supportate ancora dal driver. Nel sito dello sviluppatore, c'è anche la lista di tutti i modelli supportati.
_________________
Deus Ex
--
L’inflazione che caccia nelle mani dell’individuo, in un gesto solo, miliardi di marchi, lasciandolo più miserabile di prima, dimostra punto per punto che il denaro è un’allucinazione collettiva.
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Tue Apr 03, 2007 1:16 pm    Post subject: Reply with quote

ho risolto con una Video IM grassie
Back to top
View user's profile Send private message
made
l33t
l33t


Joined: 19 Mar 2005
Posts: 608
Location: veneto

PostPosted: Tue Jun 05, 2007 3:33 pm    Post subject: Reply with quote

sto cercando di compilare il driver per la webcam
ho il kernel 2.6.19-gentoo-r5

ma mi da sto errore!! mi pare uguale a quello che davo a doctor_evilx

emerge gspca
Code:
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) media-video/gspca-01.00.10 to /
>>> Downloading 'ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/distfiles/gspcav1-01.00.10.tar.gz'
--17:25:50--  ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/distfiles/gspcav1-01.00.10.tar.gz
           => `/usr/portage/distfiles/gspcav1-01.00.10.tar.gz'
Resolving ftp-stud.fht-esslingen.de... 129.143.116.10
Connecting to ftp-stud.fht-esslingen.de|129.143.116.10|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Mirrors/gentoo/distfiles ... done.
==> PASV ... done.    ==> RETR gspcav1-01.00.10.tar.gz ... done.
Length: 157,997 (154K) (unauthoritative)

100%[================================================================================================================>] 157,997      134.81K/s

17:25:52 (134.53 KB/s) - `/usr/portage/distfiles/gspcav1-01.00.10.tar.gz' saved [157997]

 * checking ebuild checksums ;-) ...                                                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                [ ok ]
 * checking gspcav1-01.00.10.tar.gz ;-) ...                                                                                                           [ ok ]
 * Determine new optimal TMPFS value: [ 2028M ]
 * Mounting /var/tmp/portage/media-video/gspca-01.00.10 of [ 2028M ] ...                                                                              [ ok ]
 * The package maintainer made a mistake.  You should consider using media-video/gspcav1
 * instead.  This driver is still alpha.  --KingTaco
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.19-gentoo-r5/build
 * Found sources for kernel version:
 *     2.6.19-gentoo-r5
 * Checking for suitable kernel configuration options...                                                                                              [ ok ]
>>> Unpacking source...
>>> Unpacking gspcav1-01.00.10.tar.gz to /var/tmp/portage/media-video/gspca-01.00.10/work

!!! ERROR: media-video/gspca-01.00.10 failed.
Call stack:
  ebuild.sh, line 1615:   Called dyn_unpack
  ebuild.sh, line 752:   Called qa_call 'src_unpack'
  ebuild.sh, line 44:   Called src_unpack
  gspca-01.00.10.ebuild, line 34:   Called convert_to_m '/var/tmp/portage/media-video/gspca-01.00.10/work/gspca-01.00.10/gspcav2/Makefile'
  linux-mod.eclass, line 156:   Called die

!!! convert_to_m() requires a filename as an argument
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/media-video/gspca-01.00.10/temp/build.log'.



che posso fare???
_________________
My system: cpu AMD Athlon(tm) 64 Processor 3800+,kernel 2.6.25-r1-gentoo
Back to top
View user's profile Send private message
made
l33t
l33t


Joined: 19 Mar 2005
Posts: 608
Location: veneto

PostPosted: Tue Jun 05, 2007 7:47 pm    Post subject: Reply with quote

per tutti quelli che come me hanno questa maledetta webcam!!!!

Bus 002 Device 002: ID 041e:4052 Creative Technology, Ltd

qui trovato i driver adatti per questa webcam!!!!
http://www.rastageeks.org/ov51x-jpeg/index.php/Main_Page

ho cercato in bugs.gentoo ed esiste un ubuild.

https://bugs.gentoo.org/show_bug.cgi?id=170508

l'unica cosa che dovete fare è cambiare la versione, quindi rinominate il file ov51x-jpeg-1.0.0.ebuild in ov51x-jpeg-1.5.1.ebuild

cmq controllate http://www.rastageeks.org/downloads/ov51x-jpeg/ e scrivete la stessa versione

che dire funziona alla grande!!!!
_________________
My system: cpu AMD Athlon(tm) 64 Processor 3800+,kernel 2.6.25-r1-gentoo
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum